require("level/core/club/common_elements.lua");
require("scripts/styles/style.lua");


MakeDisplayHierarchy{
	CPUpgradeHUD {
		name = "upgradeHud",
	
		textAnimation = {
		
			keyframes = {
				{
					index = 0,
					scaleX = 1,
					scaleY = 1,
					alpha = 1,
					x = 0,
					y = 0,
				},
				{
					index = 1,
					scaleX = 8,
					scaleY = 8,
					alpha = 0.5,
					x = 100,
					y = -56,
					tweens = {
						{
							type = "SimpleEase",
							target = TWEEN_ALL,
							ease = 1,
						},
					},
				},
				{
					index = 10,
					scaleX = 1,
					scaleY = 1,
					x = 0,
					y = 0,
					alpha = 1,
				},
			},
		},
			
		BlgBitmap {
			transformMatrix = {x = 0, y = 623},
			center = {x = 0, y = 0},
			image = "level/core/common/textures/shophud",
		},
		
		BlgText{
			name = "upgradePointsText",
			label = "#0",
			flags = kHAlignRight + kVAlignCenter,
			transformMatrix = {x = 30, y = 720},
			enabled = false,
			w = 140, h = 60,
			font = {
				standardFont,
				36,
				Color(184, 42, 152),
			},
		},
		
		BlgText{
			name = "rollOverText",
			label = "Upgrade_Tutorial",
			flags = kHAlignCenter + kVAlignCenter,
			transformMatrix = {x = 320, y = 655},
			enabled = false,
			w = 375, h = 100,
			font = {
				secondaryFont,
				20,
				Color(184, 42, 152),
			},
		},
		
		BlgButton {
			transformMatrix = {x = 808, y = 710},
			label = "wnd_menu",
			font = {
				standardFont,
				20,
				Color(184, 42, 152),
			},
			upState = {
				bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
				sound = "audio/FX/cp_level_pause.ogg",
			},
			command = function()
				PushState("scripts/states/statepause.lua");
			end
		},
		
		BlgButton {
			transformMatrix = {x = 915, y = 710},
			label = "continue",
			name = "continueButton",
			font = {
				standardFont,
				20,
				Color(184, 42, 152),
			},
			upState = {
				bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
				sound = "audio/FX/cp_level_pause.ogg",
			},
			command = function()
				ContinuePlaying();
			end
		},
	},
};
